Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
circular dependencies while trying to emerge xorg-x11
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 3:40 am    Post subject: circular dependencies while trying to emerge xorg-x11 Reply with quote

I'm installing Gentoo for the first time, on a VM within VirtualBox for Mac OS X. I am using genkernel as this is a VM and I don't have specific hardware on which to base my kernel build. I have followed the handbook and have a bootable system with several basic tools installed (pciutils, openssh, vim, etc.). I am now trying to emerge xorg-x11 but I am running into "circular dependencies".

Here are the use flags from my make.conf. Keep in mind that I'm a first-time gentoo user and I'm not yet certain of all the ways that the different use flags can contradict one another.

Code:
USE="a52 aac aalib acpi alsa audiofile bash-completion bzip2 cairo curl dbus dga \
  doc dts dv dvd dvdread esd examples ffmpeg firefox flac gd gnome gnutls gtk hal \
  idn ieee1394 java jpeg2k kde lcms libcaca networkmanager nptl odbc openal \
  pulseaudio ppds samba sndfile sox speex svg svga tcl tk tetex theora tiff usb \
  win32codecs wmf wxwindows x264 xine xinetd xml xpm xscreensaver xvid zlib"


Here is the output of my emerge attempt:

Code:
Calculating dependencies  .... done!
[nomerge      ] gnome-base/eel-2.22.2  USE="X -debug"
[nomerge      ]  gnome-base/gnome-desktop-2.22.3  USE="doc -debug"
[nomerge      ]   gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[nomerge      ]    gnome-base/gnome-vfs-2.22.0  USE="acl doc fam gnutls hal ipv6 kerberos samba ssl -avahi -debug"
[nomerge      ]     gnome-base/gnome-mount-0.6  USE="gnome -debug"
[nomerge      ]      gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[nomerge      ]       gnome-base/librsvg-2.22.2  USE="doc zlib -debug"
[ebuild  N    ]        gnome-extra/libgsf-1.14.7  USE="bzip2 doc gnome python -debug"
[ebuild  N    ]         media-gfx/imagemagick-6.4.0.6  USE="X bzip2 doc jpeg jpeg2k lcms perl png svg tiff truetype wmf xml zlib -djvu -fontconfig -fpx -graphviz -gs -hdri -jbig -nocxx -openexr -q32 -q8"
[ebuild  N    ]     gnome-base/gnome-mount-0.6  USE="gnome -debug"
[ebuild  N    ]      gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[ebuild  N    ]       gnome-base/librsvg-2.22.2  USE="doc zlib -debug"
[nomerge      ] gnome-base/gnome-mount-0.6  USE="gnome -debug"
[nomerge      ]  sys-apps/hal-0.5.11-r1  USE="X acpi crypt doc -apm -debug -dell -disk-partition -laptop (-selinux)"
[nomerge      ]   dev-libs/dbus-glib-0.74  USE="doc -debug (-selinux)"
[nomerge      ]    app-doc/doxygen-1.5.4  USE="doc qt3 -debug -latex -nodot"
[nomerge      ]     x11-libs/qt-3.3.8-r4  USE="cups doc examples gif ipv6 odbc opengl -debug -firebird -immqt -immqt-bc -mysql -nas -nis -postgres -sqlite -xinerama"
[ebuild  N    ]      dev-db/qt-unixODBC-3.3.8 
[ebuild  N    ]       dev-db/unixODBC-2.2.12  USE="gnome qt3"
[ebuild  N    ]        x11-libs/qt-3.3.8-r4  USE="cups doc examples gif ipv6 odbc opengl -debug -firebird -immqt -immqt-bc -mysql -nas -nis -postgres -sqlite -xinerama"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[nomerge      ]  media-libs/libexif-0.6.16-r1  USE="doc nls"
[nomerge      ]   app-doc/doxygen-1.5.4  USE="doc qt3 -debug -latex -nodot"
[nomerge      ]    media-gfx/graphviz-2.20.2  USE="cairo doc examples gnome gtk java jpeg nls perl png python tcl -cgraph -ruby"
[nomerge      ]     gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[ebuild  N    ]      gnome-base/libbonoboui-2.22.0  USE="X doc -debug"
[ebuild  N    ]  gnome-base/eel-2.22.2  USE="X -debug"
[ebuild  N    ]   gnome-base/libgnome-2.22.0  USE="doc esd -debug"
[ebuild  N    ]    gnome-base/gnome-vfs-2.22.0  USE="acl doc fam gnutls hal ipv6 kerberos samba ssl -avahi -debug"
[nomerge      ] dev-db/qt-unixODBC-3.3.8 
[nomerge      ]  x11-libs/qt-3.3.8-r4  USE="cups doc examples gif ipv6 odbc opengl -debug -firebird -immqt -immqt-bc -mysql -nas -nis -postgres -sqlite -xinerama"
[ebuild  N    ]   media-libs/libmng-1.0.10  USE="lcms"
[nomerge      ] x11-libs/qt-3.3.8-r4  USE="cups doc examples gif ipv6 odbc opengl -debug -firebird -immqt -immqt-bc -mysql -nas -nis -postgres -sqlite -xinerama"
[nomerge      ]  net-print/cups-1.3.8-r1  USE="X acl dbus gnutls java jpeg kerberos ldap pam perl png ppds python samba ssl tiff xinetd -avahi -php -slp -static -zeroconf" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW"
[ebuild  N    ]   virtual/jre-1.6.0 
[ebuild  N    ] media-gfx/graphviz-2.20.2  USE="cairo doc examples gnome gtk java jpeg nls perl png python tcl -cgraph -ruby"
[nomerge      ] media-libs/libmng-1.0.10  USE="lcms"
[ebuild  N    ]  media-libs/lcms-1.17  USE="jpeg python tiff zlib"
[ebuild  N    ]   dev-lang/swig-1.3.36  USE="doc java perl python tcl tk -R -chicken -clisp -guile -lua -mono -mzscheme -ocaml -octave -php -pike -ruby"
[ebuild  N    ]    virtual/jdk-1.6.0 
[ebuild  N    ]     dev-java/sun-jdk-1.6.0.07  USE="X alsa doc examples odbc -jce -nsplugin"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[ebuild  N    ]  gnome-base/gvfs-0.2.5  USE="doc gnome hal samba -avahi -cdda -debug -fuse -gnome-keyring -gphoto2"
[nomerge      ] gnome-base/gvfs-0.2.5  USE="doc gnome hal samba -avahi -cdda -debug -fuse -gnome-keyring -gphoto2"
[nomerge      ]  sys-apps/hal-0.5.11-r1  USE="X acpi crypt doc -apm -debug -dell -disk-partition -laptop (-selinux)"
[ebuild  N    ]   app-misc/hal-info-20080508 
[nomerge      ] gnome-base/gnome-mount-0.6  USE="gnome -debug"
[ebuild  N    ]  gnome-base/gnome-keyring-2.22.3  USE="doc hal pam -debug -test"
[ebuild  N    ]   sys-apps/hal-0.5.11-r1  USE="X acpi crypt doc -apm -debug -dell -disk-partition -laptop (-selinux)"
[nomerge      ] media-gfx/imagemagick-6.4.0.6  USE="X bzip2 doc jpeg jpeg2k lcms perl png svg tiff truetype wmf xml zlib -djvu -fontconfig -fpx -graphviz -gs -hdri -jbig -nocxx -openexr -q32 -q8"
[ebuild  N    ]  media-libs/libwmf-0.2.8.4  USE="X doc gd gtk xml -debug -expat"
[nomerge      ] net-print/foomatic-filters-3.0.20080507  USE="cups"
[nomerge      ]  net-print/cups-1.3.8-r1  USE="X acl dbus gnutls java jpeg kerberos ldap pam perl png ppds python samba ssl tiff xinetd -avahi -php -slp -static -zeroconf" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW"
[ebuild  N    ]   net-print/foomatic-filters-ppds-20070501 
[ebuild  N    ]    net-print/foomatic-filters-3.0.20080507  USE="cups"
[ebuild  N    ]   net-fs/samba-3.0.32  USE="acl cups doc examples fam ipv6 ldap pam python readline -ads -async -automount -caps -debug -oav -quotas (-selinux) -swat -syslog -winbind"
[ebuild  N    ]   virtual/ghostscript-0 
[ebuild  N    ]    app-text/ghostscript-gpl-8.62  USE="X cups gtk jpeg2k -bindist -cjk -djvu"
[ebuild  N    ]     net-print/cups-1.3.8-r1  USE="X acl dbus gnutls java jpeg kerberos ldap pam perl png ppds python samba ssl tiff xinetd -avahi -php -slp -static -zeroconf" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW"
[ebuild  N    ] media-libs/libexif-0.6.16-r1  USE="doc nls"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[nomerge      ]  gnome-base/libgnome-2.22.0  USE="doc esd -debug"
[ebuild  N    ]   media-sound/esound-0.2.38-r1  USE="alsa doc ipv6 tcpd -debug"
[ebuild  N    ]    media-libs/alsa-lib-1.0.16  USE="doc midi -alisp -debug" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol"
[nomerge      ] gnome-base/gnome-mount-0.6  USE="gnome -debug"
[nomerge      ]  gnome-base/eel-2.22.2  USE="X -debug"
[nomerge      ]   gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[nomerge      ]    gnome-base/gnome-keyring-2.22.3  USE="doc hal pam -debug -test"
[ebuild  N    ]     sys-apps/dbus-1.1.20  USE="X doc -debug (-selinux)"
[ebuild  N    ]      app-doc/doxygen-1.5.4  USE="doc qt3 -debug -latex -nodot"
[ebuild  N    ]   gnome-base/gnome-desktop-2.22.3  USE="doc -debug"
[ebuild  N    ]    gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[ebuild  N    ]  x11-libs/libnotify-0.4.4  USE="doc"
[ebuild  N    ]   x11-misc/notification-daemon-0.3.7  USE="-debug"
[nomerge      ] x11-base/xorg-x11-7.2 
[ebuild  N    ]  x11-apps/xinit-1.0.5-r1  USE="hal pam -debug -minimal"
[ebuild  N    ]   sys-auth/consolekit-0.2.3  USE="pam -debug"
[ebuild  N    ]    dev-libs/dbus-glib-0.74  USE="doc -debug (-selinux)"
[nomerge      ] x11-misc/notification-daemon-0.3.7  USE="-debug"
[ebuild  N    ]  x11-libs/libwnck-2.22.3  USE="doc -debug"
[ebuild  N    ]  x11-libs/libsexy-0.1.11  USE="doc -debug"
[nomerge      ] gnome-extra/libgsf-1.14.7  USE="bzip2 doc gnome python -debug"
[ebuild  N    ]  dev-python/pygtk-2.12.1-r2  USE="X doc examples"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[nomerge      ]  gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[ebuild  N    ]   gnome-base/libgnomecanvas-2.20.1.1  USE="X doc -debug"
[ebuild  N    ]    gnome-base/gail-1.22.3  USE="doc -debug"
[ebuild  N    ]    gnome-base/libglade-2.6.2  USE="doc -debug"
[ebuild  N    ]   gnome-base/gconf-2.22.0  USE="doc ldap -debug"
[ebuild  N    ]    x11-libs/gtk+-2.12.11  USE="X cups doc jpeg tiff -debug -vim-syntax -xinerama"
[nomerge      ] gnome-base/eel-2.22.2  USE="X -debug"
[nomerge      ]  x11-base/xorg-server-1.3.0.0-r6  USE="dri ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo -apm -ark -chips -cirrus -cyrix -dummy -epson -fglrx -i128 -i740 (-impact) -imstt (-newport) -nsc -nvidia -rendition -s3 -s3virge -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tga -tseng -v4l"
[ebuild  N    ]   x11-drivers/xf86-video-tdfx-1.3.0  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-voodoo-1.1.1  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-ati-6.8.0-r1  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-glint-1.1.1  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-trident-1.2.3  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-neomagic-1.1.1  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-i810-2.1.1  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-vmware-10.15.0  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-fbdev-0.3.1  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-sis-0.9.4  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-nv-2.1.9  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-input-mouse-1.2.3  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-vga-4.1.0  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-vesa-1.3.0  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-input-keyboard-1.1.1  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-savage-2.1.2-r1  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-openchrome-0.2.902  USE="dri -debug"
[ebuild  N    ]   x11-drivers/xf86-video-mga-1.4.6.1  USE="dri -debug"
[nomerge      ] gnome-extra/libgsf-1.14.7  USE="bzip2 doc gnome python -debug"
[nomerge      ]  gnome-base/gnome-vfs-2.22.0  USE="acl doc fam gnutls hal ipv6 kerberos samba ssl -avahi -debug"
[nomerge      ]   sys-apps/hal-0.5.11-r1  USE="X acpi crypt doc -apm -debug -dell -disk-partition -laptop (-selinux)"
[ebuild  N    ]    dev-python/pyxf86config-0.3.34-r1 
[ebuild  N    ]  dev-python/pygobject-2.14.2  USE="X doc examples -debug -libffi"
[ebuild  N    ]   x11-base/xorg-server-1.3.0.0-r6  USE="dri ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo -apm -ark -chips -cirrus -cyrix -dummy -epson -fglrx -i128 -i740 (-impact) -imstt (-newport) -nsc -nvidia -rendition -s3 -s3virge -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tga -tseng -v4l"
[nomerge      ] media-gfx/imagemagick-6.4.0.6  USE="X bzip2 doc jpeg jpeg2k lcms perl png svg tiff truetype wmf xml zlib -djvu -fontconfig -fpx -graphviz -gs -hdri -jbig -nocxx -openexr -q32 -q8"
[nomerge      ]  gnome-base/librsvg-2.22.2  USE="doc zlib -debug"
[ebuild  N    ]   dev-libs/libcroco-0.6.1  USE="-debug"
[nomerge      ] dev-python/pygtk-2.12.1-r2  USE="X doc examples"
[ebuild  N    ]  dev-python/pycairo-1.4.12  USE="examples"
[nomerge      ] gnome-base/gvfs-0.2.5  USE="doc gnome hal samba -avahi -cdda -debug -fuse -gnome-keyring -gphoto2"
[ebuild  N    ]  net-libs/libsoup-2.4.1  USE="doc ssl -debug"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[ebuild  N    ]  gnome-base/libbonobo-2.22.0  USE="doc -debug"
[ebuild  N    ]   gnome-base/orbit-2.14.13  USE="doc -debug"
[ebuild  N    ]    dev-libs/libIDL-0.8.10  USE="-debug"
[nomerge      ] gnome-base/nautilus-2.22.5.1  USE="X gnome -beagle -debug"
[nomerge      ]  gnome-base/gnome-desktop-2.22.3  USE="doc -debug"
[nomerge      ]   x11-libs/gtk+-2.12.11  USE="X cups doc jpeg tiff -debug -vim-syntax -xinerama"
[nomerge      ]    net-print/cups-1.3.8-r1  USE="X acl dbus gnutls java jpeg kerberos ldap pam perl png ppds python samba ssl tiff xinetd -avahi -php -slp -static -zeroconf" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW"
[ebuild  N    ]     x11-misc/xdg-utils-1.0.2-r1  USE="doc"
[ebuild  N    ]      dev-util/desktop-file-utils-0.15  USE="-emacs"
[ebuild  N    ]     net-libs/gnutls-2.2.5  USE="doc nls zlib -bindist -guile -lzo"
[ebuild  N    ]    x11-misc/shared-mime-info-0.30 
[nomerge      ] gnome-base/gvfs-0.2.5  USE="doc gnome hal samba -avahi -cdda -debug -fuse -gnome-keyring -gphoto2"
[nomerge      ]  net-fs/samba-3.0.32  USE="acl cups doc examples fam ipv6 ldap pam python readline -ads -async -automount -caps -debug -oav -quotas (-selinux) -swat -syslog -winbind"
[ebuild  N    ]   app-admin/gamin-0.1.9-r1  USE="python -debug"
[nomerge      ] gnome-base/eel-2.22.2  USE="X -debug"
[nomerge      ]  gnome-base/gail-1.22.3  USE="doc -debug"
[ebuild  N    ]   dev-libs/atk-1.22.0  USE="doc -debug"
[nomerge      ] gnome-base/gnome-mount-0.6  USE="gnome -debug"
[nomerge      ]  gnome-base/libgnomeui-2.22.1  USE="doc jpeg -debug"
[ebuild  N    ]   x11-libs/pango-1.20.5  USE="X doc -debug"
[ebuild  N    ]    x11-libs/cairo-1.6.4-r1  USE="X doc opengl svg -debug -directfb -glitz -test -xcb"
[ebuild  N    ]     dev-util/gtk-doc-1.10-r2  USE="doc -debug -emacs"
[ebuild  N    ]      dev-libs/glib-2.16.5  USE="fam -debug -hardened (-selinux) -xattr"
!!! Error: circular dependencies:

('ebuild', '/', 'media-gfx/graphviz-2.20.2', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'dev-lang/swig-1.3.36', 'merge') (hard)
('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') depends on
   ('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') (hard)
   ('ebuild', '/', 'app-misc/hal-info-20080508', 'merge') (medium-soft)
   ('ebuild', '/', 'dev-python/pyxf86config-0.3.34-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-tdfx-1.3.0', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-vmware-10.15.0', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') depends on
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') (hard)
('ebuild', '/', 'x11-libs/qt-3.3.8-r4', 'merge') depends on
   ('ebuild', '/', 'media-libs/libmng-1.0.10', 'merge') (hard)
   ('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-db/qt-unixODBC-3.3.8', 'merge') (medium-soft)
('ebuild', '/', 'gnome-base/gnome-keyring-2.22.3', 'merge') depends on
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'sys-apps/dbus-1.1.20', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-fbdev-0.3.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-mga-1.4.6.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-misc/shared-mime-info-0.30', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'virtual/jdk-1.6.0', 'merge') depends on
   ('ebuild', '/', 'dev-java/sun-jdk-1.6.0.07', 'merge') (medium)
('ebuild', '/', 'media-libs/libwmf-0.2.8.4', 'merge') depends on
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'virtual/ghostscript-0', 'merge') (hard)
   ('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.22.0', 'merge') depends on
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-misc/shared-mime-info-0.30', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'net-fs/samba-3.0.32', 'merge') (hard)
   ('ebuild', '/', 'net-libs/gnutls-2.2.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') (medium-soft)
   ('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
('ebuild', '/', 'gnome-base/gail-1.22.3', 'merge') depends on
   ('ebuild', '/', 'dev-libs/atk-1.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnome-2.22.0', 'merge') depends on
   ('ebuild', '/', 'media-sound/esound-0.2.38-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libbonobo-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-vfs-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'x11-misc/xdg-utils-1.0.2-r1', 'merge') depends on
   ('ebuild', '/', 'x11-misc/shared-mime-info-0.30', 'merge') (medium)
   ('ebuild', '/', 'dev-util/desktop-file-utils-0.15', 'merge') (medium-soft)
('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') depends on
   ('ebuild', '/', 'media-gfx/graphviz-2.20.2', 'merge') (hard)
   ('ebuild', '/', 'virtual/ghostscript-0', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/qt-3.3.8-r4', 'merge') (hard)
   ('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (hard)
('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') depends on
   ('ebuild', '/', 'net-print/foomatic-filters-ppds-20070501', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-misc/xdg-utils-1.0.2-r1', 'merge') (medium)
   ('ebuild', '/', 'dev-java/sun-jdk-1.6.0.07', 'merge') (hard)
   ('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (medium-soft)
   ('ebuild', '/', 'virtual/jdk-1.6.0', 'merge') (hard)
   ('ebuild', '/', 'net-fs/samba-3.0.32', 'merge') (medium-soft)
   ('ebuild', '/', 'net-libs/gnutls-2.2.5', 'merge') (hard)
   ('ebuild', '/', 'sys-apps/dbus-1.1.20', 'merge') (hard)
   ('ebuild', '/', 'virtual/jre-1.6.0', 'merge') (hard)
   ('ebuild', '/', 'virtual/ghostscript-0', 'merge') (medium-soft)
('ebuild', '/', 'virtual/ghostscript-0', 'merge') depends on
   ('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (medium)
('ebuild', '/', 'x11-drivers/xf86-video-trident-1.2.3', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'sys-apps/dbus-1.1.20', 'merge') depends on
   ('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') (hard)
('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libbonobo-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-python/pygtk-2.12.1-r2', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-vfs-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'media-gfx/imagemagick-6.4.0.6', 'merge') (medium-soft)
   ('ebuild', '/', 'dev-python/pygobject-2.14.2', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnome-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libbonoboui-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-vfs-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-keyring-2.22.3', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libbonobo-2.22.0', 'merge') depends on
   ('ebuild', '/', 'gnome-base/orbit-2.14.13', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-glint-1.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'net-libs/libsoup-2.4.1', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'net-libs/gnutls-2.2.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/eel-2.22.2', 'merge') (hard)
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/nautilus-2.22.5.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-keyring-2.22.3', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'dev-python/pygobject-2.14.2', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'gnome-base/orbit-2.14.13', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/libIDL-0.8.10', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'dev-util/desktop-file-utils-0.15', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gail-1.22.3', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/nautilus-2.22.5.1', 'merge') depends on
   ('ebuild', '/', 'gnome-base/gnome-desktop-2.22.3', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnome-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gvfs-0.2.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/librsvg-2.22.2', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libbonobo-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/orbit-2.14.13', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/eel-2.22.2', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'media-libs/libexif-0.6.16-r1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-misc/shared-mime-info-0.30', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/atk-1.22.0', 'merge') (hard)
('ebuild', '/', 'app-misc/hal-info-20080508', 'merge') depends on
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') (hard)
('ebuild', '/', 'dev-python/pygtk-2.12.1-r2', 'merge') depends on
   ('ebuild', '/', 'dev-python/pycairo-1.4.12', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/atk-1.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-python/pygobject-2.14.2', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') depends on
   ('ebuild', '/', 'dev-libs/atk-1.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-voodoo-1.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') depends on
   ('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
('ebuild', '/', 'dev-python/pycairo-1.4.12', 'merge') depends on
   ('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-ati-6.8.0-r1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'media-sound/esound-0.2.38-r1', 'merge') depends on
   ('ebuild', '/', 'media-libs/alsa-lib-1.0.16', 'merge') (hard)
('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') depends on
   ('ebuild', '/', 'x11-drivers/xf86-video-tdfx-1.3.0', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-i810-2.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-vmware-10.15.0', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-neomagic-1.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-input-mouse-1.2.3', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-mga-1.4.6.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-fbdev-0.3.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-apps/xinit-1.0.5-r1', 'merge') (hard)
   ('ebuild', '/', 'x11-drivers/xf86-input-keyboard-1.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-vga-4.1.0', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-nv-2.1.9', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-savage-2.1.2-r1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-voodoo-1.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-glint-1.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-vesa-1.3.0', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-sis-0.9.4', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-trident-1.2.3', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-openchrome-0.2.902', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-ati-6.8.0-r1', 'merge') (medium-soft)
('ebuild', '/', 'sys-auth/consolekit-0.2.3', 'merge') depends on
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'media-libs/libmng-1.0.10', 'merge') depends on
   ('ebuild', '/', 'media-libs/lcms-1.17', 'merge') (hard)
('ebuild', '/', 'net-fs/samba-3.0.32', 'merge') depends on
   ('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') (hard)
   ('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-input-mouse-1.2.3', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'virtual/jre-1.6.0', 'merge') depends on
   ('ebuild', '/', 'dev-java/sun-jdk-1.6.0.07', 'merge') (medium)
   ('ebuild', '/', 'virtual/jdk-1.6.0', 'merge') (medium)
('ebuild', '/', 'dev-libs/libIDL-0.8.10', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-nv-2.1.9', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'gnome-base/gvfs-0.2.5', 'merge') depends on
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'sys-apps/dbus-1.1.20', 'merge') (hard)
   ('ebuild', '/', 'net-libs/libsoup-2.4.1', 'merge') (hard)
   ('ebuild', '/', 'net-fs/samba-3.0.32', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'gnome-base/librsvg-2.22.2', 'merge') depends on
   ('ebuild', '/', 'dev-libs/libcroco-0.6.1', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/cairo-1.6.4-r1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') (hard)
('ebuild', '/', 'gnome-base/libbonoboui-2.22.0', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnome-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libbonobo-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gnome-vfs-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-libs/libwnck-2.22.3', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
('ebuild', '/', 'dev-libs/libcroco-0.6.1', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'dev-lang/swig-1.3.36', 'merge') depends on
   ('ebuild', '/', 'dev-java/sun-jdk-1.6.0.07', 'merge') (hard)
   ('ebuild', '/', 'virtual/jdk-1.6.0', 'merge') (hard)
('ebuild', '/', 'dev-python/pyxf86config-0.3.34-r1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'net-print/foomatic-filters-ppds-20070501', 'merge') depends on
   ('ebuild', '/', 'net-print/foomatic-filters-3.0.20080507', 'merge') (medium)
('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-openchrome-0.2.902', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') depends on
   ('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'sys-apps/dbus-1.1.20', 'merge') (hard)
('ebuild', '/', 'gnome-base/eel-2.22.2', 'merge') depends on
   ('ebuild', '/', 'gnome-base/gnome-desktop-2.22.3', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libgnome-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gail-1.22.3', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') depends on
   ('ebuild', '/', 'x11-libs/libwnck-2.22.3', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-i810-2.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-neomagic-1.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') depends on
   ('ebuild', '/', 'x11-libs/pango-1.20.5', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-desktop-2.22.3', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') (hard)
('ebuild', '/', 'net-print/foomatic-filters-3.0.20080507', 'merge') depends on
   ('ebuild', '/', 'net-print/cups-1.3.8-r1', 'merge') (hard)
   ('ebuild', '/', 'virtual/ghostscript-0', 'merge') (hard)
   ('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-sis-0.9.4', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'dev-db/qt-unixODBC-3.3.8', 'merge') depends on
   ('ebuild', '/', 'dev-db/unixODBC-2.2.12', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/qt-3.3.8-r4', 'merge') (hard)
('ebuild', '/', 'net-libs/gnutls-2.2.5', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
('ebuild', '/', 'x11-apps/xinit-1.0.5-r1', 'merge') depends on
   ('ebuild', '/', 'sys-auth/consolekit-0.2.3', 'merge') (hard)
('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') depends on
   ('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-savage-2.1.2-r1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'media-gfx/imagemagick-6.4.0.6', 'merge') depends on
   ('ebuild', '/', 'media-libs/lcms-1.17', 'merge') (hard)
   ('ebuild', '/', 'gnome-base/librsvg-2.22.2', 'merge') (hard)
   ('ebuild', '/', 'media-libs/libwmf-0.2.8.4', 'merge') (hard)
('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
   ('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'media-libs/libexif-0.6.16-r1', 'merge') depends on
   ('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') (hard)
('ebuild', '/', 'media-libs/alsa-lib-1.0.16', 'merge') depends on
   ('ebuild', '/', 'app-doc/doxygen-1.5.4', 'merge') (hard)
('ebuild', '/', 'media-libs/lcms-1.17', 'merge') depends on
   ('ebuild', '/', 'dev-lang/swig-1.3.36', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-input-keyboard-1.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'dev-java/sun-jdk-1.6.0.07', 'merge') depends on
   ('ebuild', '/', 'dev-db/unixODBC-2.2.12', 'merge') (medium)
   ('ebuild', '/', 'media-libs/alsa-lib-1.0.16', 'merge') (medium)
('ebuild', '/', 'x11-drivers/xf86-video-vesa-1.3.0', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'dev-libs/atk-1.22.0', 'merge') depends on
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'dev-db/unixODBC-2.2.12', 'merge') depends on
   ('ebuild', '/', 'gnome-base/libgnomeui-2.22.1', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/qt-3.3.8-r4', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.22.0', 'merge') depends on
   ('ebuild', '/', 'gnome-base/orbit-2.14.13', 'merge') (hard)
   ('ebuild', '/', 'dev-util/gtk-doc-1.10-r2', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
   ('ebuild', '/', 'x11-libs/gtk+-2.12.11', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-vga-4.1.0', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)

!!! Note that circular dependencies can often be avoided by temporarily
!!! disabling USE flags that trigger optional dependencies.


I am eventually planning on utilizing Gnome as a desktop environment if I can ever get X11 installed, which is why I have the gnome use flag. I also plan on using a couple kde apps, hence the kde use flag. However I don't think that is what is causing this. I have studied the error message and can't wrap my head around how to troubleshoot it. Following the X Server Howto there is one thing I am leaving out in my make.conf, and that is the VIDEO_CARDS field. The reason is that this is a VM and the virtual graphics card is listed as "Innotek Systemberatung GmbH VirtualBox Graphics Adapter", so neither an nVidia nor an ATI driver seems to be correct in this instance.

I've done a lot of searching, I've read through the man page for emerge, and I just can't figure out how to approach these "circular dependencies". Any help in this respect would be much appreciated.
Back to top
View user's profile Send private message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 3:52 am    Post subject: Reply with quote

Of course, I glanced over the sticky topic on circular dependencies before making my post. Reading that now.
Back to top
View user's profile Send private message
dracozny
Tux's lil' helper
Tux's lil' helper


Joined: 04 May 2004
Posts: 86

PostPosted: Sat Sep 27, 2008 3:57 am    Post subject: Reply with quote

as far as the video card leave it as a vesa unless you find an accurate module for it.
i think you have some conflicting use flags,
Code:
USE="acpi -alsa cairo cdr dbus dvd dvdr dvdread eds emboss encode esd -evo fam gif gimp -gnome gpm gstreamer gtk hal java jpeg -kde kerberos ldap mad mikmod mp3 mysql php5 mpeg ncurses nptl nptlonly nsplugin ogg opengl oss pdf png qt3 qt4 quicktime sdl spell sse sse2 ssl svg symlink tiff truetype vorbis win32codecs unicode usb X xml xv sane xsane xulrunner "

firefox for instance is replaced by xulrunner
but these are all I need to run 99% of things
_________________
“I do not think there is any thrill that can go through the human heart like that felt by the inventor as he sees some creation of the brain unfolding to success... Such emotions make a man forget food, sleep, friends, love, everything.”
-Nikola Tesla-
Back to top
View user's profile Send private message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 4:38 am    Post subject: Reply with quote

dracozny wrote:
as far as the video card leave it as a vesa unless you find an accurate module for it.
i think you have some conflicting use flags,
Code:
USE="acpi -alsa cairo cdr dbus dvd dvdr dvdread eds emboss encode esd -evo fam gif gimp -gnome gpm gstreamer gtk hal java jpeg -kde kerberos ldap mad mikmod mp3 mysql php5 mpeg ncurses nptl nptlonly nsplugin ogg opengl oss pdf png qt3 qt4 quicktime sdl spell sse sse2 ssl svg symlink tiff truetype vorbis win32codecs unicode usb X xml xv sane xsane xulrunner "

firefox for instance is replaced by xulrunner
but these are all I need to run 99% of things


Well it's obvious that I have conflicting flags, however I have no idea what is conflicting with what.

After some more googling, I removed "doc" from my use flags, which got rid of most of the problem. I added VIDEO_CARDS="vesa" to my make.conf, and then retried my emerge. Here are the results:

Code:

These are the packages that would be merged, in order:

Calculating dependencies   ... done!
[nomerge      ] x11-base/xorg-x11-7.2 
[nomerge      ]  x11-apps/xinit-1.0.5-r1  USE="hal pam -debug -minimal"
[nomerge      ]   sys-auth/consolekit-0.2.3  USE="pam -debug"
[nomerge      ]    dev-libs/glib-2.16.5  USE="fam -debug -hardened (-selinux) -xattr"
[ebuild  N    ]     app-admin/gamin-0.1.9-r1  USE="python -debug"
[ebuild  N    ]  x11-apps/xinit-1.0.5-r1  USE="hal pam -debug -minimal"
[ebuild  N    ]   sys-auth/consolekit-0.2.3  USE="pam -debug"
[ebuild  N    ]    dev-libs/dbus-glib-0.74  USE="-debug -doc (-selinux)"
[ebuild  N    ]     dev-libs/glib-2.16.5  USE="fam -debug -hardened (-selinux) -xattr"
[nomerge      ] x11-base/xorg-x11-7.2 
[nomerge      ]  x11-base/xorg-server-1.3.0.0-r6  USE="dri ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="vesa -apm -ark -chips -cirrus -cyrix -dummy -epson -fbdev -fglrx -glint -i128 -i740 -i810 (-impact) -imstt -mach64 -mga -neomagic (-newport) -nsc -nv -nvidia -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vga -via -vmware -voodoo"
[ebuild  N    ]   x11-drivers/xf86-input-keyboard-1.1.1  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-input-mouse-1.2.3  USE="-debug"
[ebuild  N    ]   x11-drivers/xf86-video-vesa-1.3.0  USE="-debug"
[ebuild  N    ]    x11-base/xorg-server-1.3.0.0-r6  USE="dri ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="vesa -apm -ark -chips -cirrus -cyrix -dummy -epson -fbdev -fglrx -glint -i128 -i740 -i810 (-impact) -imstt -mach64 -mga -neomagic (-newport) -nsc -nv -nvidia -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vga -via -vmware -voodoo"
!!! Error: circular dependencies:

('ebuild', '/', 'x11-drivers/xf86-input-keyboard-1.1.1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'sys-auth/consolekit-0.2.3', 'merge') depends on
   ('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') (hard)
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-input-mouse-1.2.3', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') depends on
   ('ebuild', '/', 'x11-drivers/xf86-input-mouse-1.2.3', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-apps/xinit-1.0.5-r1', 'merge') (hard)
   ('ebuild', '/', 'x11-drivers/xf86-input-keyboard-1.1.1', 'merge') (medium-soft)
   ('ebuild', '/', 'x11-drivers/xf86-video-vesa-1.3.0', 'merge') (medium-soft)
('ebuild', '/', 'dev-libs/dbus-glib-0.74', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-apps/xinit-1.0.5-r1', 'merge') depends on
   ('ebuild', '/', 'sys-auth/consolekit-0.2.3', 'merge') (hard)
('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') depends on
   ('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') (hard)
('ebuild', '/', 'x11-drivers/xf86-video-vesa-1.3.0', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.3.0.0-r6', 'merge') (hard)
('ebuild', '/', 'dev-libs/glib-2.16.5', 'merge') depends on
   ('ebuild', '/', 'app-admin/gamin-0.1.9-r1', 'merge') (hard)

!!! Note that circular dependencies can often be avoided by temporarily
!!! disabling USE flags that trigger optional dependencies.


Then, I noticed that I was not using the "X" use flag. It seemed kind of important since it was X11 that I'm trying to build. However, there was no change.
Back to top
View user's profile Send private message
notHerbert
Advocate
Advocate


Joined: 11 Mar 2008
Posts: 2228
Location: 45N 73W

PostPosted: Sat Sep 27, 2008 5:10 am    Post subject: Reply with quote

MercuryShadow,

To start solving all this run these 2 commands first.
Code:
USE=-fam emerge --oneshot dev-libs/glib
emerge --oneshot dev-libs/glib

Then see if xorg-server will build
Code:
emerge -av xorg-server

Also please post output of emerge --info
Back to top
View user's profile Send private message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 1:54 pm    Post subject: Reply with quote

OK, I will try that. However, before I do that, what is the difference between xorg-x11 and xorg-server? Haven't been able to find the answer on google.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Sat Sep 27, 2008 3:29 pm    Post subject: Reply with quote

Cause it's Gentoo-specific.
xorg-server is only the server, xorg-x11 is a meta-package that pulls the server
and a few more packages (some of them you'll probably never use).
Back to top
View user's profile Send private message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 4:53 pm    Post subject: Reply with quote

OK, xorg-server is building now, sweet. Can someone explain what it was that I did though? It looks like there was a conflict between gamin and glib, so I first built glib without FAM support, then built gamin and rebuilt glib with FAM support. I do not understand why the oneshot option was used, however.
Back to top
View user's profile Send private message
notHerbert
Advocate
Advocate


Joined: 11 Mar 2008
Posts: 2228
Location: 45N 73W

PostPosted: Sat Sep 27, 2008 5:06 pm    Post subject: Reply with quote

The circle is fam, gamin and glib. The fam USE-flag pulls in gamin but gamin can't be built without having glib installed first. Installing glib first without fam then reinstalling glib again, will pull in gamin.

glib is a system package which does not need to be included in the world file.

man emerge wrote:
--oneshot (-1)
Emerge as normal, but do not add the packages to the world file
for later updating.
Back to top
View user's profile Send private message
MercuryShadow
n00b
n00b


Joined: 15 Sep 2008
Posts: 6

PostPosted: Sat Sep 27, 2008 5:15 pm    Post subject: Reply with quote

notHerbert wrote:
The circle is fam, gamin and glib. The fam USE-flag pulls in gamin but gamin can't be built without having glib installed first. Installing glib first without fam then reinstalling glib again, will pull in gamin.

glib is a system package which does not need to be included in the world file.

man emerge wrote:
--oneshot (-1)
Emerge as normal, but do not add the packages to the world file
for later updating.


Yeah, I know how to use man pages, I've been using Linux for almost 10 years. I just don't quite yet understand the significance of the world file. I know that it stores explicitly emerged packages so that they can be checked and updated later, but I don't understand why glib doesn't need to be included. Why didn't it need to be included? Is there a list of such "system packages" that I can reference?
Back to top
View user's profile Send private message
Leio
Developer
Developer


Joined: 27 Feb 2003
Posts: 494
Location: Estonia

PostPosted: Sun Sep 28, 2008 3:04 am    Post subject: Reply with quote

glib is not a system package. glib was simply pulled into the dependency tree to satisfy dbus-glib (needed by consolekit) and gamin dependencies.
On a linux system with inotify support for userspace enabled (CONFIG_INOTIFY_USER) USE=fam does not give any benefits to glib, because it can use inotify directly if present for userspace and it doesn't fallback to fam/gamin then.
USE=fam exists in glib mostly for Gentoo/FreeBSD purposes now as they don't have inotify, you can put "dev-libs/glib -fam" (without quote) to your /etc/portage/package.use directory or file if you do have userspace inotify support (that is a very very good idea to have). We are still figuring out how to solve this problem properly - if to package.use.mask fam for linux systems and assume inotify support is present, or breaking gamin into two packages to solve the circular (gamin consists of a server and a library and those split into two packages breaks the circular)
_________________
GNOME team lead; GStreamer; MIPS/ARM64
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sat Oct 25, 2008 3:43 pm    Post subject: Reply with quote

Code:
--- replaced obj /usr/bin/gobject-query
--- replaced obj /usr/bin/glib-mkenums
--- replaced obj /usr/bin/glib-gettextize
--- replaced obj /usr/bin/glib-genmarshal
--- replaced dir /usr/bin
--- replaced dir /usr
>>> Regenerating /etc/ld.so.cache...
>>> Original instance of package unmerged safely.
>>> Regenerating /etc/ld.so.cache...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
tux1 linux #
tux1 linux # emerge -av xorg-server

These are the packages that would be merged, in order:

Calculating dependencies... done!


[nomerge      ] x11-base/xorg-server-1.5.2  USE="dri hal ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal" INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="vesa -apm -ark -ast -chips -cirrus -cyrix -dummy -epson -fbdev -fglrx -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -nsc -nv -nvidia -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion -vga -via -vmware -voodoo -xgi"
[ebuild  N    ]  sys-apps/hal-0.5.11-r3  USE="X acpi crypt -apm -debug -dell -disk-partition -doc -laptop (-selinux)"
[ebuild  N    ]   dev-python/pyxf86config-0.3.34-r1
[ebuild  N    ]    x11-base/xorg-server-1.5.2  USE="dri hal ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal" INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="vesa -apm -ark -ast -chips -cirrus -cyrix -dummy -epson -fbdev -fglrx -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -nsc -nv -nvidia -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion -vga -via -vmware -voodoo -xgi"

 * Error: circular dependencies:

('ebuild', '/', 'sys-apps/hal-0.5.11-r3', 'merge') depends on
   ('ebuild', '/', 'dev-python/pyxf86config-0.3.34-r1', 'merge') (hard)
('ebuild', '/', 'dev-python/pyxf86config-0.3.34-r1', 'merge') depends on
   ('ebuild', '/', 'x11-base/xorg-server-1.5.2', 'merge') (hard)
('ebuild', '/', 'x11-base/xorg-server-1.5.2', 'merge') depends on
   ('ebuild', '/', 'sys-apps/hal-0.5.11-r3', 'merge') (hard)

 * Note that circular dependencies can often be avoided by temporarily
 * disabling USE flags that trigger optional dependencies.

 * GNU info directory index is up-to-date.
tux1 linux #                     


i did emerge the glib as mentioned above,
stll some more circular dependency is present.
what further can be done?
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
hielvc
Advocate
Advocate


Joined: 19 Apr 2002
Posts: 2805
Location: Oceanside, Ca

PostPosted: Sat Oct 25, 2008 4:21 pm    Post subject: Reply with quote

padoor "hal" as X as a USE flag and xorg-server has hal as a USE flag.Now hal is a lot smaller than xorg-server so I would try
Code:
USE-"-X" emerge hal -1

Once you install hal then an " emerge xorg-server -uDN should pull in pyxf86config and rebuild hal because of the new USE flag "X".

Note this the only time you should use command line USE flags. Once portage runs it forgets the command line USE flag which is what we want here.
_________________
An A-Z Index of the Linux BASH command line
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sat Oct 25, 2008 5:03 pm    Post subject: Reply with quote

i have now done USE="-hal" emerge xorg-x11
it is currently emerging 160 pkgs.
lets worry about hal later
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sat Oct 25, 2008 5:08 pm    Post subject: Reply with quote

now that i have done 130 of 160 pkgs i will emerge hal later and run emerge N xorg
let me get some X running so i can boot into its own gentoo. :)
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
hielvc
Advocate
Advocate


Joined: 19 Apr 2002
Posts: 2805
Location: Oceanside, Ca

PostPosted: Sat Oct 25, 2008 5:17 pm    Post subject: Reply with quote

Picky picky :lol:
_________________
An A-Z Index of the Linux BASH command line
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sat Oct 25, 2008 5:26 pm    Post subject: Reply with quote

i expect some trouble when hal comes in.
we can tackle it then. :)
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4185
Location: india

PostPosted: Sun Oct 26, 2008 3:29 am    Post subject: Reply with quote

i got the xdm and twm working
installed hal
ran revdep-rebuild
seems to be going ok
thanks for all help :)hielvc
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum